package com.chinaitop.depot.intelligent.utils;

import com.chinaitop.depot.intelligent.pushs.controller.PushsController;
import com.google.common.collect.Maps;
import com.unissoft.model.ResponseEntity;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;
import java.util.UUID;

public class VerificationSourceUtils {

    public static Map<String, String> sourceMap(){
        // 0:智远,1:中科怡海
        Map<String, String> source = Maps.newHashMap();
        source.put("source_zkyh","1");
        source.put("source_zy","0");
        source.put("source_ls","2"); // 历史数据导入
        return source;
    }

    public static boolean verificationSource(String dataSource){
        if (StringUtils.isBlank(dataSource) || !sourceMap().containsKey(dataSource)){
            return false;
        }
        return true;
    }
}
